### Method

# EDataServer Source mail_signature_load

since: 3.6

#### Declaration [src]

    void
    e_source_mail_signature_load (
      ESource* source,
      gint io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously loads a signature from the signature file for `source`, which is given by e_source_mail_signature_get_file().

If the signature file is executable, it will be executed and its output captured as the email signature content. If the signature file is not executable, the email signature content is read directly from the file.

When the operation is finished, `callback` will be called. You can then call `e_source_mail_signature_load_finish()` to get the result of the operation.

Available since: 3.6

This method completes asynchronously. Use `e_source_mail_signature_load_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`io_priority`

  Type: `gint`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.